![](http://energy.sandia.gov/wp/wp-content/gallery/uploads/wec_sim_header.png)

WEC-Sim (Wave Energy Converter Simulator) is an open-source wave energy converter (WEC) simulation tool. The code is developed in MATLAB/SIMULINK using the multi-body dynamics solver SimMechanics. WEC-Sim has the ability to model devices that are comprised of rigid bodies, power-take-off systems, and mooring systems. Simulations are performed in the time-domain by solving the governing WEC equations of motion in 6 degrees-of-freedom as described in the WEC-Sim Theory Manual. The WEC-Sim project is funded by the U.S. Department of Energy’s Wind and Water Power Technologies Office and the code development effort is a collaboration between the [National Renewable Energy Laboratory (NREL)]((www.nrel.gov/water)) and [Sandia National Laboratories (SNL)](http://energy.sandia.gov/?page_id=834).

#Installing
Once the code is downloaded, unzip the source code folder and follow the installation guidelines presented in the WEC-Sim User Guide. The WEC-Sim development team has also developed a [video tutorial](https://www.youtube.com/watch?v=cgDbRY6Lvao) that demonstrates how to setup and run a simulation.

User Questionnaire**
We encourage all WEC-Sim users to complete the [WEC-Sim questionnaire](http://goo.gl/nFsWYu.info). Your feedback will be used to help direct future code development and improvement efforts.

#Principal Developers
* Yi-Hsiang Yu (NREL)
* Michael Lawson (NREL)
* Kelley Ruehl (SNL)
* Carlos Michelen (SNL)
* Nathan Tom (NREL)
 

#Project Contributors
* Adam Nelessen (Georgia Tech)
* Sam Kanner (University of California at Berkeley)
* Chris McComb (Carnegie Mellon University)

#References
Y. Yu, Michael Lawson, Kelley Ruehl, and Carlos Michelen, “[Development and Demonstration of The WEC-Sim Wave Energy Converter Simulation Tool](http://vtechworks.lib.vt.edu/bitstream/handle/10919/49236/137-Lawson.pdf?sequence=1),” in Proceedings of the 2nd Marine Energy Technology Symposium, Seattle, WA, 2014.

Kelley Ruehl, Carlos Michelen, Samuel Kanner, Michael Lawson, and Y. Yu, “[Preliminary Verification and Validation of WEC-Sim, an Open-Source Wave Energy Converter Design Tool](http://www.nrel.gov/docs/fy14osti/61531.pdf),” in Proceedings of OMAE 2014, San Francisco, CA, 2014.

MJ Lawson, Y. Yu, Adam Nelessen, Kelley Ruehl, and Carlos Michelen, “[Implementing Nonlinear Buoyancy and Excitation Forces in the WEC-Sim Wave Energy Converter Modeling Tool](http://www.nrel.gov/docs/fy14osti/61529.pdf),” in Proceedings of OMAE 2014, San Francisco, CA, 2014.

Y. Yu, Ye Li, Kathleen Hallett, and Chad Hotimsky, “[Design and Analysis for a Floating Oscillating Surge Wave Energy Converter](http://www.nrel.gov/docs/fy14osti/61283.pdf),” in Proceedings of OMAE 2014, San Francisco, CA, 2014.
