%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 the National Renewable Energy Laboratory and Sandia Corporation
% 
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
% 
%     http://www.apache.org/licenses/LICENSE-2.0
% 
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fig_prop.figSize = 750;
scrsz = get(0,'ScreenSize');
set(0,'DefaultFigureColor', 'White', ...
'DefaultFigurePaperType', 'a4letter', ...
'DefaultAxesColor', 'white', ...
'DefaultAxesDrawmode', 'fast', ...
'DefaultAxesFontUnits', 'points', ...
'DefaultAxesFontSize', 20, ...
'DefaultAxesFontAngle', 'Normal', ... % 'Italic'
'DefaultAxesFontName', 'Times', ...
'DefaultAxesGridLineStyle', ':', ...
'DefaultAxesInterruptible', 'on', ...
'DefaultAxesLayer', 'Bottom', ...
'DefaultAxesNextPlot', 'replace', ...
'DefaultAxesUnits', 'normalized', ...
'DefaultAxesXcolor', [0, 0, 0], ...
'DefaultAxesYcolor', [0, 0, 0], ...
'DefaultAxesZcolor', [0, 0, 0], ...
'DefaultAxesVisible', 'on', ...
'DefaultLineColor', 'Red', ...
'DefaultLineLineStyle', '-', ...
'DefaultLineLineWidth', 3, ...
'DefaultLineMarker', 'none', ...
'DefaultLineMarkerSize', 12, ...
'DefaultTextColor', [0, 0, 0], ...
'DefaultTextFontUnits', 'Points', ...
'DefaultTextFontSize', 18, ...
'DefaultTextFontName', 'Times', ...
'DefaultTextVerticalAlignment', 'middle', ...
'DefaultTextHorizontalAlignment', 'left', ...
'DefaultFigurePosition', [scrsz(3)*.1 scrsz(4)*.1 scrsz(3)*.1 + ...
    fig_prop.figSize scrsz(4)*.1+fig_prop.figSize]);
fig_prop.plotColors=[...
    0 0 0; ... % k
    1 0 0; ... % r
    0 1 0; ... % g
    0 0 1; ... % b
    0 1 1; ... % c
    1 0 1; ... % m
    1 1 0; ... % y
    0 0 0; ... % k
    1 0 0; ... % r
    0 1 0; ... % g
    0 0 1; ... % b
    0 1 1; ... % c
    1 0 1; ... % m
    1 1 0; ... % y
    0 0 0; ... % k
    1 0 0; ... % r
    0 1 0; ... % g
    0 0 1; ... % b
    0 1 1; ... % c
    1 0 1; ... % m
    1 1 0; ... % y
    ];

fig_prop.plotLinType{1} = '-';
    fig_prop.plotLinType{end+1} = '--';
    fig_prop.plotLinType{end+1} = '-.';
    fig_prop.plotLinType{end+1} = '-';
    fig_prop.plotLinType{end+1} = '--';
    fig_prop.plotLinType{end+1} = '-.';
    fig_prop.plotLinType{end+1} = '-';
    fig_prop.plotLinType{end+1} = '--';
    fig_prop.plotLinType{end+1} = '-.';
    fig_prop.plotLinType{end+1} = '-';
    fig_prop.plotLinType{end+1} = '--';
    fig_prop.plotLinType{end+1} = '-.';
    fig_prop.plotLinType{end+1} = '-';
    fig_prop.plotLinType{end+1} = '--';
    fig_prop.plotLinType{end+1} = '-.';
    fig_prop.plotLinType{end+1} = '-';
    fig_prop.plotLinType{end+1} = '--';
    fig_prop.plotLinType{end+1} = '-.';
    fig_prop.plotLinType{end+1} = '-';
set(0,'DefaultAxesLineStyleOrder',fig_prop.plotLinType,...
    'DefaultAxesColorOrder',fig_prop.plotColors);
clear fig_prop scrsz
